import React from 'react';
import { Row, Col, Card, Button } from 'antd';
import { PlusOutlined } from '@ant-design/icons';
import Page from '@/components/Page';
import CheckForm from './components/CheckForm';
import { useSearchParams } from 'react-router-dom';
import { getTaCheckById } from '@/service/tacheck';
import LocForm from './components/LocForm';
import LocTable from './components/LocTable';

export default (props) => {
  const [searchParams] = useSearchParams();

  const [checkInfo, setCheckInfo] = React.useState();
  const [tab, setTab] = React.useState('1');
  const locRef = React.useRef();

  const id = searchParams.get('id');

  React.useEffect(() => {
    if (id) {
      getTaCheckById(id).then(setCheckInfo);
    }
  }, [id]);

  return (
    <Page>
      <CheckForm
        checkInfo={checkInfo}
        onChange={setCheckInfo}
        onTabChange={setTab}
      />
      <div style={{marginTop: '24px'}}>
      {
        tab == '1' && <LocTable checkId={checkInfo?.checkId} />
      }
      </div>
      {/* <Row gutter={24} style={{marginTop: '24px'}}>
        <Col span={12}>
          <Card title="实例调查" extra={<Button icon={<PlusOutlined />} onClick={() => locRef.current.newQu()}>问题</Button>}>
            <LocForm ref={locRef} checkId={id} />
          </Card>
        </Col>
        <Col span={12}>
          <Card title="问卷调查">
          </Card>
        </Col>
      </Row> */}
    </Page>
  )
}
